# Uses of Enum Class
org.bukkit.block.data.type.Wall.Height

Packages that use Wall.Height
Package
Description
org.bukkit.block.data.type
Specific BlockData classes relevant to only a given block or set of blocks.

## Uses of Wall.Height in org.bukkit.block.data.type

Methods in org.bukkit.block.data.type that return Wall.Height
Modifier and Type
Method
Description
`@NotNull Wall.Height`
Wall.`getHeight(@NotNull BlockFace face)`
Gets the height of the specified face.
`static Wall.Height`
Wall.Height.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Wall.Height[]`
Wall.Height.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.bukkit.block.data.type with parameters of type Wall.Height
Modifier and Type
Method
Description
`void`
Wall.`setHeight(@NotNull BlockFace face, @NotNull Wall.Height height)`
Set the height of the specified face.